osg::State::AttributeStack Struct Reference

`#include <State>`

## Public Member Functions

| AttributeStack ()
void | print (std::ostream &fout) const

## Public Attributes

bool | changed
const StateAttribute * | last_applied_attribute
const ShaderComponent * | last_applied_shadercomponent
ref_ptr< const StateAttribute > | global_default_attribute
AttributeVec | attributeVec

## Constructor & Destructor Documentation

## AttributeStack()

osg::State::AttributeStack::AttributeStack | ( |  | ) |

inline

References changed, global_default_attribute, last_applied_attribute, and last_applied_shadercomponent.

## Member Function Documentation

## print()

void osg::State::AttributeStack::print | ( | std::ostream & | fout | ) | const

## Member Data Documentation

## attributeVec

AttributeVec osg::State::AttributeStack::attributeVec

Referenced by osg::State::applyAttributeList(), osg::State::applyAttributeListOnTexUnit(), osg::State::applyAttributeMap(), osg::State::applyAttributeMapOnTexUnit(), osg::State::getAttributeVec(), osg::State::popAttributeList(), and osg::State::pushAttributeList().

## changed

bool osg::State::AttributeStack::changed

apply an attribute if required, passing in attribute and appropriate attribute stack

Referenced by osg::State::applyAttribute(), osg::State::applyAttributeList(), osg::State::applyAttributeListOnTexUnit(), osg::State::applyAttributeMap(), osg::State::applyAttributeMapOnTexUnit(), osg::State::applyTextureAttribute(), AttributeStack(), osg::State::popAttributeList(), and osg::State::pushAttributeList().

## global_default_attribute

ref_ptr<const StateAttribute> osg::State::AttributeStack::global_default_attribute

Referenced by osg::State::applyAttribute(), osg::State::applyAttributeOnTexUnit(), osg::State::applyGlobalDefaultAttribute(), osg::State::applyGlobalDefaultAttributeOnTexUnit(), AttributeStack(), osg::State::getGlobalDefaultAttribute(), osg::State::getGlobalDefaultTextureAttribute(), osg::State::setGlobalDefaultAttribute(), and osg::State::setGlobalDefaultTextureAttribute().

## last_applied_attribute

const StateAttribute* osg::State::AttributeStack::last_applied_attribute

Referenced by osg::State::applyAttribute(), osg::State::applyAttributeOnTexUnit(), osg::State::applyGlobalDefaultAttribute(), osg::State::applyGlobalDefaultAttributeOnTexUnit(), and AttributeStack().

## last_applied_shadercomponent

const ShaderComponent* osg::State::AttributeStack::last_applied_shadercomponent

Referenced by osg::State::applyAttribute(), osg::State::applyAttributeOnTexUnit(), osg::State::applyGlobalDefaultAttribute(), osg::State::applyGlobalDefaultAttributeOnTexUnit(), and AttributeStack().

The documentation for this struct was generated from the following file:

- State